<?php
 
 
 

namespace PhpWA\Protocol\Proto\SenderKeyStateStructure;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class SenderSigningKey extends \Google\Protobuf\Internal\Message
{
    


    protected $public = null;
    


    protected $private = null;

    









    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getPublic()
    {
        return isset($this->public) ? $this->public : '';
    }

    public function hasPublic()
    {
        return isset($this->public);
    }

    public function clearPublic()
    {
        unset($this->public);
    }

    




    public function setPublic($var)
    {
        GPBUtil::checkString($var, False);
        $this->public = $var;

        return $this;
    }

    



    public function getPrivate()
    {
        return isset($this->private) ? $this->private : '';
    }

    public function hasPrivate()
    {
        return isset($this->private);
    }

    public function clearPrivate()
    {
        unset($this->private);
    }

    




    public function setPrivate($var)
    {
        GPBUtil::checkString($var, False);
        $this->private = $var;

        return $this;
    }

}

